clang 8.0.0

Public Member Functions | List of all members
clang::Sema::TypeDiagnoser Struct Referenceabstract

Abstract class used to diagnose incomplete types. More...

`#include "clang/Sema/Sema.h"`

Inheritance diagram for clang::Sema::TypeDiagnoser:
[legend]

## Public Member Functions
| TypeDiagnoser ()
virtual void | diagnose (Sema &S, SourceLocation Loc, QualType T)=0
virtual | ~TypeDiagnoser ()

## Detailed Description

Abstract class used to diagnose incomplete types.

Definition at line 1510 of file Sema.h.

## Constructor & Destructor Documentation

## ◆ TypeDiagnoser()

clang::Sema::TypeDiagnoser::TypeDiagnoser | ( |  | ) |
| inline

Definition at line 1511 of file Sema.h.

## ◆ ~TypeDiagnoser()

virtual clang::Sema::TypeDiagnoser::~TypeDiagnoser | ( |  | ) |
| inline virtual

Definition at line 1514 of file Sema.h.

## Member Function Documentation

## ◆ diagnose()

virtual void clang::Sema::TypeDiagnoser::diagnose | ( | Sema & | S,
|  | SourceLocation | Loc,
|  | QualType | T
| ) |  |
| pure virtual

Implemented in clang::Sema::BoundTypeDiagnoser< Ts >.

The documentation for this struct was generated from the following file:

- include/clang/Sema/Sema.h